# tmr_iso180006b.h File Reference

Mercury API - ISO180006B tag information and interfaces. More...

## Classes

struct | TMR_ISO180006B_Select
struct | TMR_ISO180006B_LockAction

## Typedefs

typedef enum TMR_ISO180006B_SelectOp | TMR_ISO180006B_SelectOp
typedef struct TMR_ISO180006B_Select | TMR_ISO180006B_Select
typedef struct TMR_ISO180006B_LockAction | TMR_IS0180006B_LockAction
typedef enum TMR_ISO180006B_LinkFrequency | TMR_ISO180006B_LinkFrequency
typedef enum TMR_ISO180006B_ModulationDepth | TMR_ISO180006B_ModulationDepth
typedef enum TMR_ISO180006B_Delimiter | TMR_ISO180006B_Delimiter

## Enumerations

enum | TMR_ISO180006B_SelectOp { TMR_ISO180006B_SELECT_OP_EQUALS = 0, TMR_ISO180006B_SELECT_OP_NOT_EQUALS = 1, TMR_ISO180006B_SELECT_OP_LESS_THAN = 2, TMR_ISO180006B_SELECT_OP_GREATER_THAN = 3 }
enum | TMR_ISO180006B_LinkFrequency { TMR_ISO180006B_LINKFREQUENCY_40KHZ = 40, TMR_ISO180006B_LINKFREQUENCY_160KHZ = 160 }
enum | TMR_ISO180006B_ModulationDepth { TMR_ISO180006B_Modulation99percent = 0x00, TMR_ISO180006B_Modulation11percent = 0x01 }
enum | TMR_ISO180006B_Delimiter { TMR_ISO180006B_Delimiter1 = 0x01, TMR_ISO180006B_Delimiter4 = 0x04 }

## Detailed Description

Mercury API - ISO180006B tag information and interfaces.

Author:
  Brian Fiegel

Date:
  5/7/2009

## Typedef Documentation

typedef struct TMR_ISO180006B_LockAction TMR_IS0180006B_LockAction

The arguments to a TMR_lockTag() method for ISO18000-6B tags. Represents the byte to be locked.

typedef enum TMR_ISO180006B_Delimiter TMR_ISO180006B_Delimiter

ISO180006B Delimiter

typedef enum TMR_ISO180006B_LinkFrequency TMR_ISO180006B_LinkFrequency

ISO180006B link frequencies

typedef enum TMR_ISO180006B_ModulationDepth TMR_ISO180006B_ModulationDepth

ISO180006B modulation depth

typedef enum TMR_ISO180006B_SelectOp TMR_ISO180006B_SelectOp

ISO180006B Select operations

## Enumeration Type Documentation

enum TMR_ISO180006B_Delimiter

ISO180006B Delimiter

Enumerator:

  TMR_ISO180006B_Delimiter1 | delimiter 1
  TMR_ISO180006B_Delimiter4 | delimiter 4

enum TMR_ISO180006B_LinkFrequency

ISO180006B link frequencies

Enumerator:

  TMR_ISO180006B_LINKFREQUENCY_40KHZ | 40 kHz
  TMR_ISO180006B_LINKFREQUENCY_160KHZ | 160 kHz

enum TMR_ISO180006B_ModulationDepth

ISO180006B modulation depth

Enumerator:

  TMR_ISO180006B_Modulation99percent | 99 percent modulation
  TMR_ISO180006B_Modulation11percent | 11 percent modulation

enum TMR_ISO180006B_SelectOp

ISO180006B Select operations

Enumerator:

  TMR_ISO180006B_SELECT_OP_EQUALS | Select if tag data matches op data
  TMR_ISO180006B_SELECT_OP_NOT_EQUALS | Select if tag data does not match op data
  TMR_ISO180006B_SELECT_OP_LESS_THAN | Select if tag data is less than op data
  TMR_ISO180006B_SELECT_OP_GREATER_THAN | Select if tag data is greater than op data